import { StyleSheet } from 'react-native';

export const colors = {
    primary: '#007bff',
    secondary: '#6c757d',
    success: '#28a745',
    danger: '#dc3545',
    warning: '#ffc107',
    info: '#17a2b8',
    light: '#f8f9fa',
    dark: '#343a40',
    white: '#fff',
    muted: '#6c757d',
};

export const styles = StyleSheet.create({
    container: {
        flex: 1,
        padding: 20,
        backgroundColor: colors.light,
    },
    title: {
        fontSize: 24,
        fontWeight: 'bold',
        color: colors.dark,
        marginBottom: 20,
    },
    label: {
        fontSize: 16,
        fontWeight: 'bold',
        color: colors.dark,
        marginBottom: 5,
    },
    input: {
        height: 40,
        borderColor: colors.muted,
        borderWidth: 1,
        borderRadius: 5,
        marginBottom: 10,
        paddingLeft: 8,
        backgroundColor: colors.white,
    },
    button: {
        padding: 10,
        backgroundColor: colors.primary,
        borderRadius: 5,
        alignItems: 'center',
        marginVertical: 10,
    },
    buttonText: {
        color: colors.white,
        fontSize: 16,
        fontWeight: 'bold',
    },
    image: {
        width: 80,
        height: 80,
        marginTop: 10,
        marginBottom: 10,
        borderRadius: 5,
    },
    item: {
        marginBottom: 10,
        backgroundColor: colors.white,
        padding: 10,
        borderRadius: 5,
        alignItems: 'center',
        shadowColor: colors.dark,
        shadowOffset: { width: 0, height: 2 },
        shadowOpacity: 0.3,
        shadowRadius: 2,
        elevation: 2,
        width: 150,
    },
    itemText: {
        fontSize: 14,
        fontWeight: 'bold',
        textAlign: 'center',
        color: colors.dark,
    },
    itemPrice: {
        fontSize: 12,
        color: colors.muted,
        textAlign: 'center',
    },
    itemCategory: {
        fontSize: 12,
        color: colors.muted,
        textAlign: 'center',
    },
    list: {
        padding: 10,
    },
    listContainer: {
        flexDirection: 'row',
        flexWrap: 'wrap',
        justifyContent: 'space-between',
    },
    header: {
        flexDirection: 'row',
        justifyContent: 'space-between',
        alignItems: 'center',
        padding: 10,
        backgroundColor: colors.primary,
        borderRadius: 5,
    },
    headerText: {
        fontSize: 18,
        color: colors.white,
        fontWeight: 'bold',
    },
    buttonsContainer: {
        flexDirection: 'row',
        flexWrap: 'wrap',
        marginBottom: 10,
    },
    selectedButton: {
        backgroundColor: colors.dark,
    },
    selectedButtonText: {
        color: colors.white,
    },
    fab: {
        position: 'absolute',
        width: 56,
        height: 56,
        alignItems: 'center',
        justifyContent: 'center',
        right: 20,
        bottom: 20,
        backgroundColor: colors.primary,
        borderRadius: 30,
        elevation: 8,
    },
});
